<?php
// Pour de l'aide - To get help
// eleclerc@hotmail.ca
// Last Edit: 2016-07-17

////////////////////////
//    Session Name    //
////////////////////////

// Si vous installez plusieurs éditeur de lignes dans le même domaine/hébergement, il est recommandé d'utiliser un nom différent
// If you install several editor in the same domain/webhosting, it's recommanded to change this name

$SessionName = "GMO";

//////////////////////////
//    FHLSim Version    //
//////////////////////////

// FHLSim 1.5 build 445 = 1
// FHLSim 1.5 Build 468 = 1
// FHLSim 1.6 build 482 = 2
// FHLSim 1.5 build 479 = 3 | Interface from v1 but .lns file from v2

$FHLSimVersion = "1";

///////////////////////////////
//    INFOS SQL GM EDITOR    //
///////////////////////////////
// Le serveur de la base de donnée / DB Server
$db_server = "localhost";

// Base de donnée (Vous devez créer la base de donnée) / Database (You need to creat it)
$db_name = ""; // Remplir - Fill

// Nom de la table (L'installation va la créer) / Table name (Install will create it)
$db_table = "gmo";

// Nom d'utilisateur mySQL / Username mySQL
$db_username = ""; // Remplir - Fill

// Mot de passe mySQL / Password mySQL
$db_password = ""; // Remplir - Fill

////////////////////////
// FILES INFORMATIONS //
////////////////////////

// Nom du fichier .ROS / .ROS Name file
$file_ros = ".ros"; // Remplir - Fill (LHSX.ros)

// Nom du fichier .TMS / .TMS Name file
$file_tms = ".tms"; // Remplir - Fill (LHSX.tms)

// Pour utiliser le GM ÉDITEUR, il vous faut un répertoire qui contient ces fichiers à jour .TMS et .ROS.
// Entrer le chemin pour arriver à ces fichiers dans le champ. Ne pas mettre "/" au début mais le mettre "/" à la fin.
// Le dossier en cours étant celui qui a le fichier "config.php", 
// Alors si votre fichier est dans un dossier avant celui-ci, mettre "../" devant pour descendre d'un dossier

// To use the GM EDITOR, you need a directory where you have the following files on it .TMS and .ROS.
// Enter the folder you need to open to access these files. Don't put an "/" at the begining and put an "/" at the end
// The current directory is where the config.php is, so if your files are on backward directory, put "../" in front to fall of one.
$file_folder = ""; // (DEFAULT: "")

// Vous pouvez changer le dossier de destination des alignements.
// Mettre "../" pour reculer d'un répertoire
// Les lignes contenues dans ce dossier serviront aux lignes pour le simnulateur FHLsim, après les avoir téléchargé, vous pouvez les supprimer!
// Defaut : "lines/";

// You can edit the lineup directory
// Put "../" to step back of one directory
// The line files in this folder are for the FHLsim simulator, afer loaded them, you can delete them
// Default : "lines/";
$file_folder_lines = "lines/";

// Vous pouvez changer le dossier de destination des alignements en temporaire pour vos DG
// Defaut : "lines/tempo/";

// You can edit the GM backup lineup directory
// Default : "lines/tempo/";
$file_folder_temp_lines = "lines/tempo/";

//////////////////////////
// INFOS LIGUE / LEAGUE //
//////////////////////////
// Nom de la ligue / League name
$league_name = ""; // Remplir - Fill

// Langue du GM ÉDITEUR "fr" / GM EDITOR Language "en"
$league_langue = "en";

// Plafond salariale (Désactivé : 0) 
// Salary Cap (Off : 0) 
$league_cap = "0"; // (55000000)

// Type de Plafond salariale (Pro Payroll seulement : 0 | Pro + Farm Payroll: 1) 
// Salary Cap Type (Pro Payroll only : 0 | Pro + Farm Payroll: 1) 
$league_capType = "0";

// Nombre de parties jouées dans le PRO avant qu'un joueur passe de 10% à 100% sur la masse salariale du club-école DANS LA CASE "2-way Con After" dans FHLsim (Désactivé : 0)
// Game Number played by a PRO player before he costs from 10% to 100% on the farm payroll  IN BOX "2-way Con After" in FHLsim (Off : 0)
$league_GameInProPayroll = "0";

// Nombre de joueurs obligatoire dans l'alignement (Désactivé : 0) /
// Number of players Needed in the line up (Off : 0)
$league_players = "20"; // NHL: 20

// Nombre de joueurs maximum dans l'alignement + Gradins (Désactivé : 0) /
// Number of players maximum in the lineup + Scratches (Off : 0)
$league_MaxPlayers = "0";

// NOMBRE DE MATCH À JOUER AVANT ÊTRE DANS LA LISTE WAIVERS, LA CASE "Minimum GP" dans FHLsim (Désactivé : 0)
// NUMBER OF GAME TO PLAY BEBORE TO BE IN THE WAIVERS LIST, BOX "Minimum GP" in FHLsim (Off : 0)
$league_GameInProWaivers = "0";

// AGE MAXIMUM POUR NE PAS ÊTRE DANS LA LISTE WAIVERS, LA CASE "Age Exemption" dans FHLsim (Désactivé : 0)
// MAXIMUM AGE TO DON'T BE IN THE WAIVER LIST, BOX "Age Exemption" in FHLsim (Off : 0)
$league_AgeExemptWaivers = "0";

// GM EDITEUR avec envoie de ligne en fichier : 1, GM EDITEUR seulement : 0 
// GM EDITOR with send line file : GM EDITOR only : 0
$league_gmeditor = "1";

// Pour la version FHLsim 1.6 / FHLsim 1.6 version
// Avoir le même joueurs dans les trois cases Tir de barrage : 0 | Avoir absolument un joueur différent dans chaque case Shootout Lineup : 1
// Can have the same players in the three input boxes Shoutoot Lineup : 0 | Have absolutly one different player in each input Shootout : 1
$league_shootoutLock = "0";

///////////
// LOGIN //
///////////
// WARNING : THESE FOLLOWING FIELDS ARE TO USE YOUR LOGIN LIST OF YOUR EXISTING DATABASE TO LOGIN YOUR GMs ON THE GM EDITOR.
// LET THESE FILEDS BLANK IF YOU DON'T USE IT.

// ATTENTION : LES PROCHAINES ENTRÉES SERVENT À PRENDRE UNE BASE DE DONNÉE EXISTANTE QUI PERMETTERA VOS DGs DE SE CONNECTER SUR LE GM ÉDITEUR.
// LAISSER LES CASES VIDES SI VOUS NE VOULEZ PAS L'UTILISER

// Le serveur de la base de donnée / DB Server
$db_login_server = "localhost";

// Login Base de donnée / Login Database
$db_login_name = "";

// Nom de la table / Table name
$db_login_table = "";

// Nom d'utilisateur / Username
$db_login_username = "";

// Mot de passe / Password
$db_login_password = "";

// Champ du nom d'utilisateur / Username field
$db_login_usernamefield = "";

// Champ du mot de passe (Mot de passe MD5 seulement) / Password field (MD5 password only)
$db_login_passwordfield = "";

/////////////////////
// COLOR / COULEUR //
/////////////////////

// HEX COLOR / COULEUR HEXA

// La couleur des titres dans l'éditeur
// Title color in the editor
$colorTxtTtitle = '#FFFF00'; // #FFFF00

// La couleur de l'arrière plan
// Background Color
$colorBackground = '#204080'; // #204080

// La couleur des contours
// Border Color
$colorBorder = '#00A7FE'; // #00A7FE
?>